Dynamic Currency Conversion Captures
This section provides the information you need to process a capture with Dynamic Currency Conversion.
Endpoints
POST /pts/v2/payments/{id}/captures
POST /pts/v2/payments/{id}/captures
The {id} is the transaction ID returned in the authorization response.
Example
{ "clientReferenceInformation": { "code": "CRI Code", "comments": "IndustrySpecificValue", "partner": { "developerId": "ptpDevID", "solutionId": "ptpSolutionId", "thirdPartyCertificationNumber": "ptpTPCN" } }, "merchantInformation": { "transactionLocalDateTime": "20240122115959" }, "orderInformation": { "amountDetails": { "currency": "USD", "totalAmount": 9900.00, "originalAmount": 9428.57, "originalCurrency": "EUR" } }}{ "_links": { "void": { "method": "POST", "href": "/pts/v2/captures/7413056598446149103814/voids" }, "self": { "method": "GET", "href": "/pts/v2/captures/7413056598446149103814" } }, "clientReferenceInformation": { "comments": "IndustrySpecificValue", "code": "CRI Code", "partner": { "developerId": "ptpDevID", "solutionId": "ptpSolutionId" } }, "id": "7413056598446149103814", "orderInformation": { "amountDetails": { "totalAmount": "9900.00", "currency": "USD" } }, "reconciliationId": "7413055860956965503812", "status": "PENDING", "submitTimeUtc": "2025-03-07T00:01:00Z"}| Field | Description |
|---|---|
clientReferenceInformation. | This field value maps from the original authorization, sale, or credit transaction. |
clientReferenceInformation. | Set the value to UseIndustryDesignatedValue. |
clientReferenceInformation. | provides the value for this field. |
clientReferenceInformation. | provides the value for this field. |
clientReferenceInformation. | — |
merchantInformation. | — |
orderInformation. | — |
orderInformation. | — |
orderInformation. | — |
orderInformation. | — |
Was this page helpful?
Thanks for your feedback!
Last published: October 28, 2026